wxWidgets: wxGridCellFloatRenderer Class Reference

| Version: 3.0.5

Public Member Functions | List of all members
wxGridCellFloatRenderer Class Reference
Class List by Category » Grid Related Classes

`#include </home/Hamis/wxwidgets/wxWidgets3.0/wxWidgets3.0-3.0.5.1-2.x86_64/src/wxWidgets-3.0.5.1/interface/wx/grid.h>`

Inheritance diagram for wxGridCellFloatRenderer:
[legend]

## Detailed Description

This class may be used to format floating point data in a cell.

##

Library: wxAdvanced

<>< =''>:</>&;&;< =''>\ </></>

See also
  wxGridCellRenderer, wxGridCellAutoWrapStringRenderer, wxGridCellBoolRenderer, wxGridCellDateTimeRenderer, wxGridCellEnumRenderer, wxGridCellNumberRenderer, wxGridCellStringRenderer

## Public Member Functions
| wxGridCellFloatRenderer (int width=-1, int precision=-1, int format=wxGRID_FLOAT_FORMAT_DEFAULT)
| Float cell renderer ctor. More...
int | GetFormat () const
| Returns the specifier used to format the data to string. More...
int | GetPrecision () const
| Returns the precision. More...
int | GetWidth () const
| Returns the width. More...
void | SetFormat (int format)
| Set the format to use for display the number. More...
virtual void | SetParameters (const wxString &params)
| The parameters string format is "width[,precision[,format]]" where `format` should be chosen between f|e|g|E|G (f is used by default) More...
void | SetPrecision (int precision)
| Sets the precision. More...
void | SetWidth (int width)
| Sets the width. More...
Public Member Functions inherited from wxGridCellStringRenderer
| wxGridCellStringRenderer ()
| Default constructor. More...
Public Member Functions inherited from wxGridCellRenderer
| wxGridCellRenderer ()
virtual wxGridCellRenderer * | Clone () const =0
| This function must be implemented in derived classes to return a copy of itself. More...
virtual void | Draw (wxGrid &grid, wxGridCellAttr &attr, wxDC &dc, const wxRect &rect, int row, int col, bool isSelected)=0
| Draw the given cell on the provided DC inside the given rectangle using the style specified by the attribute and the default or selected state corresponding to the isSelected value. More...
virtual wxSize | GetBestSize (wxGrid &grid, wxGridCellAttr &attr, wxDC &dc, int row, int col)=0
| Get the preferred size of the cell for its contents. More...
Public Member Functions inherited from wxClientDataContainer
| wxClientDataContainer ()
| Default constructor. More...
virtual | ~wxClientDataContainer ()
| Destructor. More...
void * | GetClientData () const
| Get the untyped client data. More...
wxClientData * | GetClientObject () const
| Get a pointer to the client data object. More...
void | SetClientData (void *data)
| Set the untyped client data. More...
void | SetClientObject (wxClientData *data)
| Set the client data object. More...
Public Member Functions inherited from wxRefCounter
| wxRefCounter ()
| Default constructor. More...
void | DecRef ()
| Decrements the reference count associated with this shared data and, if it reaches zero, destroys this instance of wxRefCounter releasing its memory. More...
int | GetRefCount () const
| Returns the reference count associated with this shared data. More...
void | IncRef ()
| Increments the reference count associated with this shared data. More...

## Additional Inherited Members
Protected Member Functions inherited from wxGridCellRenderer
virtual | ~wxGridCellRenderer ()
| The destructor is private because only DecRef() can delete us. More...
Protected Member Functions inherited from wxRefCounter
virtual | ~wxRefCounter ()
| Destructor. More...

## Constructor & Destructor Documentation

## ◆ wxGridCellFloatRenderer()

wxGridCellFloatRenderer::wxGridCellFloatRenderer | ( | int | width = `-1`,
|  | int | precision = `-1`,
|  | int | format = `wxGRID_FLOAT_FORMAT_DEFAULT`
| ) |  |

Float cell renderer ctor.

Parameters

  width | Minimum number of characters to be shown.
  precision | Number of digits after the decimal dot.
  format | The format used to display the string, must be a combination of wxGridCellFloatFormat enum elements. This parameter is only available since wxWidgets 2.9.3.

## Member Function Documentation

## ◆ GetFormat()

int wxGridCellFloatRenderer::GetFormat | ( |  | ) | const

Returns the specifier used to format the data to string.

The returned value is a combination of wxGridCellFloatFormat elements.

Since
  2.9.3

## ◆ GetPrecision()

int wxGridCellFloatRenderer::GetPrecision | ( |  | ) | const

Returns the precision.

## ◆ GetWidth()

int wxGridCellFloatRenderer::GetWidth | ( |  | ) | const

Returns the width.

## ◆ SetFormat()

void wxGridCellFloatRenderer::SetFormat | ( | int | format | ) |

Set the format to use for display the number.

Parameters

  format | Must be a combination of wxGridCellFloatFormat enum elements.

Since
  2.9.3

## ◆ SetParameters()

virtual void wxGridCellFloatRenderer::SetParameters | ( | const wxString & | params | ) |
| virtual

The parameters string format is "width[,precision[,format]]" where `format` should be chosen between f|e|g|E|G (f is used by default)

## ◆ SetPrecision()

void wxGridCellFloatRenderer::SetPrecision | ( | int | precision | ) |

Sets the precision.

## ◆ SetWidth()

void wxGridCellFloatRenderer::SetWidth | ( | int | width | ) |

Sets the width.